Subject: Re: linux-next: build failure after merge of the md tree

From: NeilBrown <[email-masked]>
Date: Mon, 2 Mar 2015 17:03:45 +1100

On Mon, 2 Mar 2015 16:50:57 +1100 Stephen Rothwell <[email-masked]>
wrote:

> Hi Neil,
> 
> After merging the md tree, today's linux-next build (i386 defconfig)
> failed like this:
> 
> drivers/built-in.o: In function `bitmap_read_sb':
> bitmap.c:(.text+0x29cd52): undefined reference to `__udivdi3'
> 
> Probably caused by commit b97e92574c0b ("Use separate bitmaps for each
> nodes in the cluster") or commit f9209a323547 ("bitmap_create returns
> bitmap pointer").
> 
> I reverted the md tree for today (because I am not sure how to fix
> this and reverting less became messy).
> 

Thanks.
I think
+               bm_blocks = DIV_ROUND_UP(bm_blocks, 4096);

needs DIV_ROUND_UP_SECTOR_T()

The first patch you identified adds that line.  The second relocates it.

I've queued a fix-up for now, but I might get it merged back into the
original...

Thanks,
NeilBrown